Skip to content

Retrieve job status

Request

Retrieve the status of job execution.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the job which is given by Intercom

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X GET \
  'https://api.intercom.io/jobs/status/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

Job execution status

Bodyapplication/json
typestring

The type of the object

Value:"job"
idstringrequired

The id of the job that's currently being processed or has completed.

Example:20
urlstring

API endpoint URL to check the job status.

Example:"https://api.intercom.io/jobs/status/20"
statusstring

The status of the job execution.

Enum:"pending""success""failed"
resource_typestring

The type of resource created during job execution.

Example:"ticket"
resource_idstring or null

The id of the resource created during job execution (e.g. ticket id)

Example:123
resource_urlstring or null

The url of the resource created during job exeuction. Use this url to fetch the resource.

Example:"http://api.intercom.io/tickets/123"
Response
{ "type": "job", "id": "2", "status": "success", "resource_type": "ticket", "resource_id": "20", "resource_url": "https://api.intercom.io/tickets/20" }